FreeMat

- Main Page
- Related Pages

vtkDataSetCollection

Section: Visualization Toolkit Filtering Classes

# Usage

vtkDataSetCollection is an object that creates and manipulates lists of datasets. See also vtkCollection and subclasses.

To create an instance of class vtkDataSetCollection, simply invoke its constructor as follows

      obj = vtkDataSetCollection

# Methods

The class vtkDataSetCollection has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkDataSetCollection class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkDataSetCollection = obj.NewInstance ()`
- `vtkDataSetCollection = obj.SafeDownCast (vtkObject o)`
- `obj.AddItem (vtkDataSet ds)` - Get the next dataset in the list.
- `vtkDataSet = obj.GetNextItem ()` - Get the next dataset in the list.
- `vtkDataSet = obj.GetNextDataSet ()` - Get the next dataset in the list.
- `vtkDataSet = obj.GetItem (int i)` - Get the ith dataset in the list.
- `vtkDataSet = obj.GetDataSet (int i)` - Get the ith dataset in the list.